## rust-better-panic 0.3.0

=== Makefile ===
all: build test

build:
	@cargo build

check:
	@cargo check

doc:
	@cargo doc

test:
	@cargo test

format:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all

format-check:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all -- --check

lint:
	@rustup component add clippy 2> /dev/null
	@cargo clippy

.PHONY: all check doc test format format-check lint

=== debian/changelog ===
rust-better-panic (0.3.0-1) unstable; urgency=medium

  * Package better-panic 0.3.0 from crates.io using debcargo 2.5.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 04 Sep 2022 09:24:37 +0200

=== debian/control ===
Source: rust-better-panic
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-backtrace-0.3+default-dev (>= 0.3.37-~~) <!nocheck>,
 librust-console-0.15-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <matthias.geiger1024@tutanota.de>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/better-panic]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/better-panic
Rules-Requires-Root: no

Package: librust-better-panic-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-backtrace-0.3+default-dev (>= 0.3.37-~~),
 librust-console-0.15-dev,
 librust-syntect-5+default-dev
Provides:
 librust-better-panic+default-dev (= ${binary:Version}),
 librust-better-panic+syntect-dev (= ${binary:Version}),
 librust-better-panic-0-dev (= ${binary:Version}),
 librust-better-panic-0+default-dev (= ${binary:Version}),
 librust-better-panic-0+syntect-dev (= ${binary:Version}),
 librust-better-panic-0.3-dev (= ${binary:Version}),
 librust-better-panic-0.3+default-dev (= ${binary:Version}),
 librust-better-panic-0.3+syntect-dev (= ${binary:Version}),
 librust-better-panic-0.3.0-dev (= ${binary:Version}),
 librust-better-panic-0.3.0+default-dev (= ${binary:Version}),
 librust-better-panic-0.3.0+syntect-dev (= ${binary:Version})
Description: Pretty panic backtraces inspired by Python's tracebacks - Rust source code
 This package contains the source for the Rust better-panic crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test better-panic 0.3.0 --all-targets --all-features
Features: test-name=rust-better-panic:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test better-panic 0.3.0 --all-targets 
Features: test-name=librust-better-panic-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test better-panic 0.3.0 --all-targets --no-default-features --features syntect
Features: test-name=librust-better-panic-dev:syntect
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test better-panic 0.3.0 --all-targets --no-default-features
Features: test-name=librust-better-panic-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/better-panic-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/better-panic .*/crates/better-panic/@ANY_VERSION@/download
